<?php

 
class Cmuhasebe_model extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }
    
    /*
     * Get cmuhasebe by id
     */
    function get_cmuhasebe($id)
    {
        return $this->db->get_where('cmuhasebe',array('id'=>$id))->row_array();
    }
      
	// Daha ÖNCE iş eklenmişmi kontrol ediyoruz
	function get_kontrol_is_cmuhasebe($id)
    {
        return $this->db->get_where('cmuhasebe',array('isler'=>$id))->row_array();
    }

    /*
     * Get all cmuhasebe
     */
    function get_all_cmuhasebe()
    {
        $this->db->order_by('id', 'desc');
        return $this->db->get('cmuhasebe')->result_array();
    }
        
    /*
     * function to add new cmuhasebe
     */
    function add_cmuhasebe($params)
    {
        $this->db->insert('cmuhasebe',$params);
        return $this->db->insert_id();
    }
    
    /*
     * function to update cmuhasebe
     */
    function update_cmuhasebe($id,$params)
    {
        $this->db->where('id',$id);
        return $this->db->update('cmuhasebe',$params);
    }
    
    /*
     * function to delete cmuhasebe
     */
    function delete_cmuhasebe($id)
    {
        return $this->db->delete('cmuhasebe',array('id'=>$id));
    }
}
